libshhmsg1_1.4.2-1_i386.deb


Advertisement

Description

libshhmsg1 - library for displaying messages - runtime

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libshhmsg1_1.4.2-1_i386.deb
Package name libshhmsg1
Package version 1.4.2
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://shh.thathost.com/
License -
Maintainer Chrysostomos Nanakos <cnanakos@debian.org>
Download size 11.09 KB
Installed size 33.00 KB
This is Sverre H. Huseby's library for displaying messages in
terminal based programs.  It can treat the verbosity level
and prepend the program name if necessary.
This package contains what you need to run programs that use this library.

Alternatives

Package Version Architecture Repository
libshhmsg1_1.4.2-1_amd64.deb 1.4.2 amd64 Debian Main
libshhmsg1 - - -

Requires

Name Value
libc6 >= 2.4

Conflicts

Name Value
shhmsg -

Replaces

Name Value
shhmsg -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libshhmsg1_1.4.2-1_i386.deb
Source Package shhmsg

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libshhmsg1 deb package:
    # sudo apt-get install libshhmsg1

Files

Path
/usr/lib/libshhmsg.so.1
/usr/lib/libshhmsg.so.1.4.2
/usr/share/doc/libshhmsg1/CREDITS
/usr/share/doc/libshhmsg1/README
/usr/share/doc/libshhmsg1/changelog.Debian.gz
/usr/share/doc/libshhmsg1/changelog.gz
/usr/share/doc/libshhmsg1/copyright

Changelog

2015-08-01 - Chrysostomos Nanakos <cnanakos@debian.org>
shhmsg (1.4.2-1) unstable; urgency=medium
* New package maintainer (Closes: #554255).
* New upstream relase.
* Bump S-V to 3.9.6.
* Lintian cleaning.
* Drop 02-no-ftbfs-format-security patch. It is already included
upstream.
2014-01-19 - Emanuele Rocca <ema@debian.org>
shhmsg (1.4.1-5) unstable; urgency=low
* QA upload.
* Switch to dpkg-source 3.0 (quilt) format.
* Add debian/patches/01-makefile-buildflags to use CFLAGS and LDFLAGS as
set by dpkg-buildflags.
* Add 02-no-ftbfs-format-security to build properly with hardened security
flags (-Werror=format-security).
* debian/control:
- Maintainer field set to QA Group.
- Bump Standards-Version to 3.9.5.
- Replace ${Source-Version} with ${binary:Version}.
- Add ${misc:Depends} to dependencies.
- Set libshhmsg1-dev's section to libdevel.
* debian/rules:
- Replace usage of dh_clean -k with dh_prep.
- Call dh_makeshlibs before dh_installdeb.
- Add build-{arch,indep}.
* debian/libshhmsg1-dev.doc-base: remove Apps/ from doc-base section.
* Debhelper compatibility level set to 9.
* Remove empty maintainer script libshhmsg1-dev.prerm.
2006-07-17 - Amaya Rodrigo Sastre <amaya@debian.org>
shhmsg (1.4.1-4.1) unstable; urgency=low
* Non-maintainer upload.
* Get rid of the /usr/doc link in postinst (Closes: #359523,#359524).
* Change the #DEBHELPER# instance in a comment in libshhmsg1-dev.postinst
and libshhmsg1-dev.prerm, it was confusing debhelper (Closes: #315468).
2002-05-26 - Oohara Yuuma <oohara@debian.org>
shhmsg (1.4.1-4) unstable; urgency=low
* libshhmsg1-dev.postinst, libshhmsg1-dev.prerm: new files, use /bin/bash
instead of /bin/sh as the interpreter because their #DEBHELPER# part
uses 'command -v'
2002-05-09 - Oohara Yuuma <oohara@debian.org>
shhmsg (1.4.1-3) unstable; urgency=low
* Hi Junichi Uekawa!
* shhmsg is renamed to libshhmsg1 and shhmsg-dev is renamed to
libshhmsg1-dev because soname is the right thing (now the testing
script is stopped, so there is no risk of breaking woody)
* Makefile: added DEB_BUILD_OPTIONS "debug" and "nostrip" support
2002-04-24 - Oohara Yuuma <oohara@debian.org>
shhmsg (1.4.1-2) unstable; urgency=low
* Makefile: added -D_REENTRANT according to the Policy
* debian/control: added the URL of the upstream webpage to Description:
2002-03-08 - Oohara Yuuma <oohara@debian.org>
shhmsg (1.4.1-1) unstable; urgency=low
* New upstream release
* debian/copyright: updated upstream information
2002-02-19 - Oohara Yuuma <oohara@debian.org>
shhmsg (1.4.0-1) unstable; urgency=low
* new upstream release (closes: #130421) (debian/copyright is already
updated in 1.3.4-5)
* progname.c: msgSetName() no longer initializes _msgErrorStream,
_msgVerboseStream or _msgMessageStream because upstream vars.c takes
care of them
* stream.c: replaced _msg*Stream with GET_*_STREAM to fix the
return value of msgSet*Stream (they must return the default
stream when called first time)
* internal.h: s/MSG_DEFAULT_MESSAGE_STREAM/MSG_DEFAULT_ERROR_STREAM/
for GET_ERROR_STREAM
* debian/copyright: updated the upstream website information
2002-02-19 - Oohara Yuuma <oohara@debian.org>
shhmsg (1.3.4-5) unstable; urgency=low
* debian/control: changed the maintainer's email address
* debian/copyright: updated the upstream webpage
2002-02-09 - Oohara Yuuma <oohara@libra.interq.or.jp>
shhmsg (1.3.4-4) unstable; urgency=low
* debian/control: dropped the version condition from Depends: libc6-dev
of shhmsg-dev because libc6-dev is a virtual package on some
architectures (provided by libc6.1-dev on alpha and by libc0.2-dev
on hurd) and versioned dependency requires a real package (yet another
reason for a versioned Provides:) (closes: #133007)
* debian/control: the short description now begins with a lower case
* debian/shhmsg-dev.doc-base: new file, added for doc-base support
* debian/rules: fixed typos in comments

See Also

Package Description
libshhopt1-dev_1.1.7-4_i386.deb Command line option parser - development
libshhopt1_1.1.7-4_i386.deb Command line option parser - runtime
libshiboken-dev_1.2.2-5.1+b1_i386.deb development files for the shiboken bindings generator library
libshiboken-py3-1.2v5_1.2.2-5.1+b1_i386.deb CPython3 bindings generator for C++ libraries - shared library
libshiboken1.2v5_1.2.2-5.1+b1_i386.deb CPython bindings generator for C++ libraries - shared library
libshiboken2-5.11_5.11.2-3_i386.deb CPython bindings generator for C++ libraries (Python2 shared library)
libshiboken2-dev_5.11.2-3_i386.deb CPython bindings generator for C++ libraries (development files)
libshiboken2-py3-5.11_5.11.2-3_i386.deb CPython bindings generator for C++ libraries (Python3 shared library)
libshibresolver-dev_3.0.0-3_i386.deb Shibboleth SP Attribute Resolver library (development)
libshibresolver2_3.0.0-3_i386.deb Shibboleth SP Attribute Resolver library
libshibsp-dev_3.0.4+dfsg1-1_i386.deb Federated web single sign-on system (development)
libshibsp-doc_3.0.4+dfsg1-1_all.deb Federated web single sign-on system (API docs)
libshibsp-plugins_3.0.4+dfsg1-1_i386.deb Federated web single sign-on system (plugins)
libshibsp8_3.0.4+dfsg1-1_i386.deb Federated web single sign-on system (runtime)
libshimdandy-java_1.2.0-3_all.deb Shim wrapping multiple Clojure runtimes into the same JVM
Advertisement
Advertisement